<html>
<head>
<title>Message design</title>
{#bheader.html}
</head>
<body>
<h1><u>Setup  &raquo; E-Mail/Display</u> &raquo; Message Design Rules</h1>
<h2>Rules:</h2>
<ol>
<li>Message may consist of any text</li>
<li>Any nonprintable characters are removed</li>
<li>If you need special characer use {%123}code{%125} sequence</li>
<li>Any expression enclosed in compound brackets {%123}{%125} is interpreted</li>
<li>Interpretation is based on the first character in the bracketed expression</li>
<li>Meaning of symbols is defined by following table</li>
</ol><br>
<table>
<tr><th>Symbol</th><th>Meaning</th></tr>
<tr><td>None</td><td>Parameter is replaced by its value (e.g. variable)</td></tr>
<tr><td>#</td><td>Parameter is file name, file content is included</td></tr>
<tr><td>@</td><td>Parameter is file name, file content is interpreted and then included</td></tr>
<tr><td>?</td><td>Parameter is variable name, zero value will disable the output, nonzero will enable it</td></tr>
<tr><td>!</td><td>No parameter required. Negates the state of output flow</td></tr>
<tr><td>.</td><td>No parameter required. Enables output unconditionaly</td></tr>
<tr><td>*</td><td>Parameter is variable name, whose value will be used in conditional expressions</td></tr>
<tr><td>&</td><td>Parameter is a value. Enables output if (* & value) != 0 </td></tr>
<tr><td>=</td><td>Parameter is a value. Enables output if (* == value) </td></tr>
<tr><td>%</td><td>Parameter is a value. It is replaced by character with given ASCII code</td></tr>
</table>
{#footer.html}
</body>
</html>
