<!--
// Ajax parameters
//var ServerDocument = "/cgi-bin/asp/arm_status.html";
var ServerDocument = "/status.xml";
var Timeout = 1000;

// Working globals
var xmlHttp = null; // Defines that xmlHttp is a new variable.
var timerID = 0;
var tStart  = null;
var LastText = null;
var Changes = 0;
var Requests = 0;
var Divs;


function ShowText(txt)
{
var msg = document.getElementById("ajax_output");

	if(msg == null) return;

	if(msg.innerHTML != txt) { 
		msg.innerHTML = txt;
		LastText = txt;
		Changes++;
	}
}

function FeedDocument()
{
var DivId;
var xmlResponse;
var Response;
var ResponseElementList;
var ResponseElement;
var ElementChild;
var Value;
	
	xmlResponse = xmlHttp.responseXML;	
	
	if(xmlResponse == null) { // this must be done here, however it may indicate browser non-conformance
		ShowText("XML Response not defined.");
		return 0;
	} 
	
	Response = xmlResponse.documentElement;
	
	if(Response == null) {
		ShowText("XML Response documentElement not defined.");
		return 0;
	}
	
	for(e = 0; e < Divs.length; e++) {
		DivId = Divs[e].id;
		if(DivId != null) { // avoid handling of unnamed divs
			ResponseElementList = Response.getElementsByTagName(DivId);
			if(ResponseElementList != null) {						// id not defined in XML
				ResponseElement = ResponseElementList[0];
				if(ResponseElement != null) {							// Strange, possible malformation
					ElementChild = ResponseElement.firstChild;
					if(ElementChild != null) {							// Empty item
						Value = ElementChild.data;
					}
					else {
						Value = "";
					}
						//Value = ResponseElement.firstChild.nodeValue;
						//Value = Response.getElementsByTagName(DivId)[0].firstChild.innerText;
						//Value = Response.getElementsByTagName(DivId)[0].innerHTML;
					if(Value != null) {
						if(Divs[e].innerHTML != Value) {		// Check if it is necessary to update value
							Divs[e].innerHTML = Value;			// Update
						}
					}
				}
			}
		}
	}
	
	return 1;
}


function DataLoaded()
{
	 
    if (xmlHttp.readyState == 4) {
    
       try { // In some instances, status cannot be retrieved and will produce an error (e.g. Port is not responsive)
          if (xmlHttp.status == 200) {
             //Set the main HTML of the body to the info provided by the AJAX Request
             if(!FeedDocument()) ShowText(xmlHttp.responseText); 
          }
          else {
          	 ShowText("No Info available");
          }
       } catch (e) {
          	 ShowText("Problem on Ajax return call : " + e.description);
       }
       
       xmlHttp = null;  // trash object
       
    }
    
}


function EmitRequest()
{

 if(xmlHttp != null) return;
 
 // Try to get the right object for different browser
 try {
    // Firefox, Opera 8.0+, Safari, IE7+
    xmlHttp = new XMLHttpRequest(); // xmlHttp is now a XMLHttpRequest.
 } catch (e) {
    // Internet Explorer
    try {
       xmlHttp=new ActiveXObject("Msxml2.XMLHTTP");
    } catch (e) {
       xmlHttp=new ActiveXObject("Microsoft.XMLHTTP");
    }
 }
 
 if(xmlHttp == null) {
 	ShowText("Can not create Request");
 }
 else {

 	xmlHttp.onreadystatechange = DataLoaded; 						// SetUp Event Handler
 	xmlHttp.open("get", ServerDocument, true);// .open(RequestType, Source, async);
 	xmlHttp.setRequestHeader("Pragma", "no-cache");				// fresh meat only, please
 	xmlHttp.setRequestHeader("Cache-Control", "no-store");	// some browsers ignore these flags, so make sure
 	xmlHttp.setRequestHeader("Cache-Control", "no-cache");	// that server response contains appropriate cache-control directives
 	xmlHttp.send(null); 												// Since there is no supplied form, null takes its place as a new form.
 
 	Requests++;										
 
 }
 
} 

function UpdateTimer() 
{
   
   if(timerID) { clearTimeout(timerID);}
  

   if(!tStart) { tStart   = new Date();}
   
   EmitRequest();

   
   timerID = setTimeout("UpdateTimer()", Timeout);
}

function Start(doc) 
{
   
	if(doc != null) {
		ServerDocument = doc;
	}   
   
   Divs = document.getElementsByTagName("div");
   //Divs = document.getElementsByTagName();
   //Divs = document.getElements;
   
 	if(Divs == null) {return;}			// no divs on page, no reason to start
	if(Divs.length == 0) {return;} 	// as well

	tStart   = new Date();
   timerID  = setTimeout("UpdateTimer()", Timeout);
   
   ShowText("Ajax");
}

function Stop() {

   if(timerID) {
      clearTimeout(timerID);
      timerID  = 0;
   }

   tStart = null;
}

//-->
